# H235_SRTP_SrtpKeyParameters Class Reference

`#include <h235_srtp.h>`

Inheritance diagram for H235_SRTP_SrtpKeyParameters:

List of all members.

## Public Types

enum | OptionalFields { e_lifetime, e_mki }

## Public Member Functions

| H235_SRTP_SrtpKeyParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_OctetString | m_masterKey
PASN_OctetString | m_masterSalt
H235_SRTP_SrtpKeyParameters_lifetime | m_lifetime
H235_SRTP_SrtpKeyParameters_mki | m_mki

## Member Enumeration Documentation

enum H235_SRTP_SrtpKeyParameters::OptionalFields

Enumerator:

  e_lifetime |
  e_mki |

## Constructor & Destructor Documentation

H235_SRTP_SrtpKeyParameters::H235_SRTP_SrtpKeyParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_SRTP_SrtpKeyParameters::GetDataLength | ( |  | ) | const

PBoolean H235_SRTP_SrtpKeyParameters::Decode | ( | PASN_Stream & | strm | ) |

void H235_SRTP_SrtpKeyParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H235_SRTP_SrtpKeyParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_SRTP_SrtpKeyParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H235_SRTP_SrtpKeyParameters::Clone | ( |  | ) | const

## Member Data Documentation

PASN_OctetString H235_SRTP_SrtpKeyParameters::m_masterKey

PASN_OctetString H235_SRTP_SrtpKeyParameters::m_masterSalt

H235_SRTP_SrtpKeyParameters_lifetime H235_SRTP_SrtpKeyParameters::m_lifetime

H235_SRTP_SrtpKeyParameters_mki H235_SRTP_SrtpKeyParameters::m_mki

The documentation for this class was generated from the following file:

- h235_srtp.h